=== debian/changelog ===
lomiri-app-launch (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fixes.patch. Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 15:05:32 +0100
