## lomiri-app-launch 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-app-launch VERSION 0.1.4 LANGUAGES C CXX)
+project(lomiri-app-launch VERSION 0.1.5 LANGUAGES C CXX)
 
 ##########################
 # Version Info
@@ -70,7 +70,7 @@
 )
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
 include_directories(${GLIB2_INCLUDE_DIRS})
@@ -128,6 +128,7 @@
 
 configure_file("data/lomiri-app-launch-desktop.click-hook.in" "${CMAKE_CURRENT_SOURCE_DIR}/debian/lomiri-app-launch-desktop.click-hook" @ONLY)
 
+add_subdirectory(data)
 add_subdirectory(liblomiri-app-launch)
 add_subdirectory(tools)
 add_subdirectory(utils)
