=== debian/changelog ===
lomiri-app-launch (0.1.5-2ubuntu1) lunar; urgency=medium

  * debian/liblomiri-app-launch0.symbols
    - Remove. l-a-l is a C++ codebase that does not explicitly try to
      manage symbol visibility, and so the specific set of symbols exported
      is annoyingly architecture- and compiler-option-dependent.
      Use shlibs instead; the default -VUpstream-Version is suitable

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 22 Mar 2023 11:48:05 +1100

lomiri-app-launch (0.1.5-2) unstable; urgency=medium

  * debian/patches:
    + Trivial rebase of 2003_remove-werror.patch.
    + Add 1001_install-systemd-target-on-linux-any-only.patch. Only install
      systemd target if systemd is available.
  * debian/control:
    + Add to B-D: systemd [linux-any].

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 10:01:38 +0100

lomiri-app-launch (0.1.5-1) unstable; urgency=medium

  * New upstream release.
    - Provide lal-application-end.target for systemd. Ensuring app closure
      at end of the Lomiri session.
    - Skip flaky part of unit test.
  * debian/patches:
    + Add 0001_CMakeLists.txt-Post-release-fix-of-VERSION-variable.patch
      (cherry-picked from upstream).
  * debian/lomiri-app-launch.install:
    + Add systemd target 'lal-application-end.target'
  * debian/liblomiri-app-launch0.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 18:33:56 +0100
