## lomiri-app-launch 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-app-launch VERSION 0.1.5 LANGUAGES C CXX)
+project(lomiri-app-launch VERSION 0.1.6 LANGUAGES C CXX)
 
 ##########################
 # Version Info
 ##########################
 
-set(VERSION_MAJOR 0)
-set(VERSION_MINOR 1)
-set(VERSION_PATCH 4)
+set(SOVERSION_MAJOR 0)
+set(SOVERSION_MINOR 0)
+set(SOVERSION_PATCH 0)
 
-set(ABI_VERSION 0)
+set(ABI_VERSION ${SOVERSION_MAJOR})
 
 ##########################
 # Options
