=== data/CMakeLists.txt ===
if (USE_SYSTEMD)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
    install(FILES "lal-application-end.target" DESTINATION "${SYSTEMD_USER_UNIT_DIR}")
endif ()
