=== debian/changelog ===
lomiri-app-launch (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_CMakeLists.txt-Post-release-fix-of-VERSION-variable.patch.
      Fixed upstream.
    + Upstream 1001_install-systemd-target-on-linux-any-only.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 08:42:00 +0100
