## lomiri-app-launch 0.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-app-launch VERSION 0.1.6 LANGUAGES C CXX)
+project(lomiri-app-launch VERSION 0.1.9 LANGUAGES C CXX)
 
 ##########################
 # Version Info
@@ -32,6 +32,14 @@
 ##########################
 
 find_package(PkgConfig REQUIRED)
+
+if (USE_SYSTEMD)
+	pkg_check_modules(SYSTEMD systemd)
+	if (NOT SYSTEMD_FOUND)
+		message(FATAL_ERROR "SYSTEMD has not been found!")
+	endif ()
+endif ()
+
 find_package(GObjectIntrospection REQUIRED)
 include(GNUInstallDirs)
 include(CheckIncludeFile)
@@ -134,12 +142,12 @@
 add_subdirectory(utils)
 
 # testing & coverage
-if (${ENABLE_TESTS})
+if (ENABLE_TESTS)
   enable_testing ()
   add_subdirectory(tests)
 endif ()
 
-if (${ENABLE_COVERAGE})
+if (ENABLE_COVERAGE)
 	find_package(CoverageReport)
 	set(filter-list)
 	list(APPEND filter-list "/usr/include")
