=== liblomiri-app-launch/CMakeLists.txt ===
--- 
+++ 
@@ -133,7 +133,7 @@
 add_library(lomiri-launcher SHARED ${LAUNCHER_SOURCES} ${LAUNCHER_CPP_SOURCES} ${LAUNCHER_GEN_SOURCES})
 
 set_target_properties(lomiri-launcher PROPERTIES
-	VERSION ${ABI_VERSION}.0.0
+	VERSION ${SOVERSION_MAJOR}.${SOVERSION_MINOR}.${SOVERSION_PATCH}
 	SOVERSION ${ABI_VERSION}
 	OUTPUT_NAME "lomiri-app-launch"
 	LINK_FLAGS "${ldflags} -Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/liblomiri-app-launch.map"
@@ -162,12 +162,12 @@
 
 install(
 	FILES ${LAUNCHER_HEADERS}
-	DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/liblomiri-app-launch-${VERSION_MAJOR}"
+	DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/liblomiri-app-launch-${SOVERSION_MAJOR}"
 )
 
 install(
 	FILES ${LAUNCHER_CPP_HEADERS}
-	DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/liblomiri-app-launch-${VERSION_MAJOR}/lomiri-app-launch"
+	DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/liblomiri-app-launch-${SOVERSION_MAJOR}/lomiri-app-launch"
 )
 
 install(
@@ -179,18 +179,17 @@
 # Pkg Config
 ##########################
 
-set(apiversion "${VERSION_MAJOR}")
+set(apiversion "${SOVERSION_MAJOR}")
 set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
 set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
-set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 if(ENABLE_MIRCLIENT)
   set(MIRCLIENT_PC_REQ "mirclient")
 endif()
 
-configure_file("lomiri-app-launch.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-app-launch-${VERSION_MAJOR}.pc" @ONLY)
-install(
-	FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-app-launch-${VERSION_MAJOR}.pc"
+configure_file("lomiri-app-launch.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-app-launch-${SOVERSION_MAJOR}.pc" @ONLY)
+install(
+	FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-app-launch-${SOVERSION_MAJOR}.pc"
 	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
 )
 
@@ -213,7 +212,7 @@
 list_make_absolute(_abs_introspection_files _introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
 set(LomiriAppLaunch_0_gir_FILES ${_abs_introspection_files})
 set(LomiriAppLaunch_0_gir_SCANNERFLAGS --c-include "lomiri-app-launch.h")
-set(LomiriAppLaunch_0_gir_EXPORT_PACKAGES "lomiri-app-launch-${VERSION_MAJOR}")
+set(LomiriAppLaunch_0_gir_EXPORT_PACKAGES "lomiri-app-launch-${SOVERSION_MAJOR}")
 
 list(APPEND INTROSPECTION_GIRS LomiriAppLaunch-0.gir)
 gir_add_introspections(INTROSPECTION_GIRS)
