=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -55,6 +55,8 @@
 	socket-tool.c)
 
 add_test (NAME liblal-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/liblal-test)
+set_property(TEST liblal-test PROPERTY ENVIRONMENT "EVENTUALLY_TIMEOUT=5;REPEAT_UNTIL_PASS_ATTEMPTS=30")
+
 add_test (NAME liblal-cpp-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/liblal-cpp-test)
 
 # App Store Legacy
