=== debian/changelog ===
lomiri-app-launch (0.1.9-3) unstable; urgency=medium

  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060620).
    + Drop from B-D: pkg-kde-tools.
  * debian/rules:
    + Stop using pkgkde_symbolshelper.
  * debian/liblomiri-app-launch0.symbols:
    + Drop file. Causing more pain than joy, esp. regarding cross-distro
      maintenance (Debian/Ubuntu).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Mar 2024 11:47:44 +0100

lomiri-app-launch (0.1.9-2) unstable; urgency=medium

  * debian/patches: Add patch to fix tests on slow hardware (closes: #1062075)

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 02 Feb 2024 02:35:47 +0100

lomiri-app-launch (0.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 01 Feb 2024 01:11:58 +0100

lomiri-app-launch (0.1.7-1) unstable; urgency=medium

  * New upstream release (closes: #1037763)
  * debian/patches: Drop upstreamed patch
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 00:38:27 +0200
