=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Marius Gripsgard <marius@ubports.com>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: abi-compliance-checker,
                cmake,
                cmake-extras (>= 1.5-7~),
@@ -24,9 +24,8 @@
                liblomiri-api-dev (>= 0.1.0),
                libzeitgeist-2.0-dev,
                gobject-introspection,
-               pkg-kde-tools,
                python3-dbusmock,
-               systemd [linux-any],
+               systemd-dev [linux-any],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://gitlab.com/ubports/development/core/lomiri-app-launch
