=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-app-launch/tags .*/lomiri-app-launch-(\d\S+)\.tar\.gz
