## lomiri-app-launch 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-project(lomiri-app-launch VERSION 0.1.9 LANGUAGES C CXX)
+project(lomiri-app-launch VERSION 0.1.10 LANGUAGES C CXX)
 
 ##########################
 # Version Info
@@ -110,7 +110,7 @@
 include_directories(${LTTNG_INCLUDE_DIRS})
 
 if(ENABLE_MIRCLIENT)
-  pkg_check_modules(MIR REQUIRED mirclient)
+  pkg_search_module(MIR REQUIRED mir1client mirclient)
   include_directories(${MIR_INCLUDE_DIRS})
 endif()
