=== debian/changelog ===
lomiri-app-launch (0.1.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase 2003_remove-werror.patch.
    + Drop 0001-tests-Switch-to-FUNC-compare-to-make-sure-we-can-get.patch.
      Applied upstream.
  * debian/copyright:
    + Update attributions for debian/.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 16:47:37 +0100
