## lomiri-app-launch 0.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(lomiri-app-launch VERSION 0.1.10 LANGUAGES C CXX)
+project(lomiri-app-launch VERSION 0.1.11 LANGUAGES C CXX)
 
 ##########################
 # Version Info
