=== liblomiri-app-launch/CMakeLists.txt ===
--- 
+++ 
@@ -184,7 +184,7 @@
 set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
 
 if(ENABLE_MIRCLIENT)
-  set(MIRCLIENT_PC_REQ "mirclient")
+  set(MIRCLIENT_PC_REQ "${MIR_MODULE_NAME}")
 endif()
 
 configure_file("lomiri-app-launch.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-app-launch-${SOVERSION_MAJOR}.pc" @ONLY)
