=== debian/changelog ===
lomiri-app-launch (0.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jan 2025 09:02:38 +0100
