=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 undefine DBUS_SYSTEM_BUS_ADDRESS
 
 %:
-	dh $@ --with gir --with pkgkde_symbolshelper
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DENABLE_MIRCLIENT=off
